#ifndef __Base64_h__
#define __Base64_h__

#include <string>

namespace coreutils {
   
   class Base64 {
   
    public:
      bool isBase64(unsigned char c);
      std::string encode(unsigned char const* bytes_to_encode, unsigned int in_len);	  	   
      std::string decode(std::string const& encoded_string);
         
   };
   
}

#endif
